Main Page Modules Data Structures Globals Appendix

# MDrawGlyph Struct Reference
[Drawing]

Type of information about a glyph metric and font. More...

## Data Fields
int | from
int | to
int | glyph_code
int | x_advance
int | y_advance
int | x_off
int | y_off
int | lbearing
int | rbearing
int | ascent
int | descent
MFont * | font
MSymbol | font_type
void * | fontp

## Detailed Description

Type of information about a glyph metric and font.

The type MDrawGlyph is the structure that contains information about a glyph metric and font. It is used by the function mdraw_glyph_list().

## Field Documentation

int MDrawGlyph::from

Character range corresponding to the glyph.

int MDrawGlyph::glyph_code

Font glyph code of the glyph.

int MDrawGlyph::x_advance

Logical width of the glyph. Nominal distance to the next glyph.

int MDrawGlyph::x_off

X/Y offset relative to the glyph position.

int MDrawGlyph::lbearing

Metric of the glyph.

MFont* MDrawGlyph::font

Font used for the glyph. Set to NULL if no font is found for the glyph.

MSymbol MDrawGlyph::font_type

Type of the font. One of Mx, Mfreetype, Mxft.

void* MDrawGlyph::fontp

Pointer to the font structure. The actual type is (XFontStruct *) if <font_type> member is Mx, FT_Face if <font_type> member is Mfreetype, and (XftFont *) if <font_type> member is Mxft.

Top of this page
Main Page Modules Data Structures Globals Appendix